#
# spec file for package python-django-parler
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%define skip_python36 1
Name:           python-django-parler
Version:        2.3
Release:        3.11
Summary:        Simple Django model translations
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/edoburu/django-parler
Source:         https://github.com/django-parler/django-parler/archive/v%{version}.tar.gz#/django-parler-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module django-polymorphic}
# /SECTION
%python_subpackages

%description
Simple Django model translations without nasty hacks, including admin integration.

%prep
%setup -q -n django-parler-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec runtests.py -v 2

%files %{python_files}
%doc AUTHORS CHANGES.rst README.rst docs/*.rst docs/*/*.rst
%license LICENSE
%{python_sitelib}/parler
%{python_sitelib}/django_parler-%{version}*-info

%changelog
* Mon Nov 28 2022 Daniel Garcia <daniel.garcia@suse.com>
- Remove python_module macro definition
- Remove python-six dependency
- More specific python_sitelib in %%files
* Fri Jan  7 2022 John Vandenberg <jayvdb@gmail.com>
- Skip Tumbleweed Python 3.6 incompatible with Django 4
* Sun Dec 26 2021 John Vandenberg <jayvdb@gmail.com>
- Remove dj-test-settings.patch merged upstream
- Update to v2.3
  * Added Django 4.0 support.
  * Added M2M field support.
  * Added PARLER_CACHE_PREFIX for sites that share the same cache.
- from v2.2.1
  * Added support for Django 3.2.
  * Added support for python 3.9.
  * Dropped support for Python 3.5.
  * Fixed deprecation warning for providing_args in Django Signals.
* Sat Jul 24 2021 John Vandenberg <jayvdb@gmail.com>
- Add dj-test-settings.patch to support Django 3.2
* Sun Oct  4 2020 John Vandenberg <jayvdb@gmail.com>
- Activate test suite
- Update to v2.2
  * Added support for Django 3.1.
  * Drop support for Python 2.7.
  * Drop support for Django 1.11, 2.0, 2.1.
* Tue Mar 31 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.0.1
